Bug 245474 - Bayes filtering suddenly too aggressive
Bayes filtering suddenly too aggressive
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: spamassassin (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-23 15:18 EDT by Joe Bayes
Modified: 2008-04-04 10:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 10:49:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Bayes 2007-06-23 15:18:39 EDT
Description of problem:
Up until approximately May 31, Bayesian spam scores on my ham emails mostly
ranged from BAYES_00 to BAYES_50 (and I could tell why the ones which were rated
BAYES_50 were rated as such: they contained spammy words like "unsubscribe"). 

Since May 31, I have received exactly 5 messages rated BAYES_00. Well over 95%
of my incoming ham emails are rated between BAYES_50 and BAYES_99. The
composition of my incoming messages has not significantly changed. 


Version-Release number of selected component (if applicable):
spamassassin-3.1.9-1.fc6.i386


How reproducible:
always

Steps to Reproduce:
1. Send me a non-spammy email
2.
3.
  
Actual results:

It gets rated between BAYES_50 and BAYES_99

Expected results:

It should be rated much lower.
Additional info:

I realize that this could be a problem with my personal spam database. If nobody
else is having this problem, then that is probably the case. I don't know what I
could have done to affect such a sudden change, though -- my spam database is
about 4 years old, and just one day's worth of possibly misclassified mail
shouldn't have made such a huge difference.
Comment 1 Joe Bayes 2007-06-26 18:21:46 EDT
Combing through my spam archives has produced about a dozen ham emails that were
misclassified as spam before 5/31. After running sa-learn on them to reclassify
them as spam, though, I'm still getting BAYES_99 with good incoming ham emails. 
Comment 2 Bug Zapper 2008-04-04 03:26:07 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Joe Bayes 2008-04-04 10:49:32 EDT
I flushed my database, which seemed to fix the problem. I would need to go back
to the old database in order to update the bug, and I'm not going to do that.

Note You need to log in before you can comment on or make changes to this bug.